libnds 1.3.6 and default arm7 0.5.5

Latest devkitPro news and announcements
WinterMute
Site Admin
Posts: 1385
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

libnds 1.3.6 and default arm7 0.5.5

Post by WinterMute » Wed Jun 24, 2009 2:39 pm

The following DS components have just been updated and are now available through the devkitPro updater.

libnds 1.3.6
  • fix typo in oamSetMosaicSub.
  • handle fifo sync timeout in interrupt.
default arm7 0.5.5
  • Rebuilt with latest libraries.
These releases fix the issues seen in http://forums.devkitpro.org/viewtopic.php?f=6&t=1400 and http://forums.devkitpro.org/viewtopic.php?f=15&t=1374
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Quirky
Posts: 19
Joined: Thu Nov 15, 2007 8:45 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by Quirky » Thu Jun 25, 2009 9:10 pm

Have you tried the new libnds on hardware too? I've just checked and touch doesn't seem to work on a real DSi for my code. I downgraded to 1.3.4, relinkedand the touches worked again.

I've also tried the touch_test.nds example compiled with all the latest devkitARM libs, and that doesn't register touches either. Any ideas? Maybe a DSi issue?

WinterMute
Site Admin
Posts: 1385
Joined: Tue Aug 09, 2005 3:21 am
Location: UK
Contact:

Re: libnds 1.3.6 and default arm7 0.5.5

Post by WinterMute » Thu Jun 25, 2009 9:22 pm

Card issue maybe? I tested these on DSi & DS Lite with R4i.
Help keep devkitPro toolchains free, Donate today

devkitPro IRC support
Personal Blog

Quirky
Posts: 19
Joined: Thu Nov 15, 2007 8:45 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by Quirky » Thu Jun 25, 2009 9:39 pm

OK. It could be that, I have an EZ VI.

StevenH
Posts: 133
Joined: Sun Feb 22, 2009 7:59 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by StevenH » Thu Jun 25, 2009 10:52 pm

Confirmed - EzFlash Vi - DSi / DSL - Touch Test not working :(

The issue is that the keys value is 00002000 on the touch test demo.

Oh and after a quick chat with WinterMute on the IRC channel apparently there's an update to the homebrew menu that fixes this issue - tested and it did fix it.

Quirky
Posts: 19
Joined: Thu Nov 15, 2007 8:45 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by Quirky » Sat Jun 27, 2009 5:15 pm

StevenH: Not too sure what you mean. Is that one of the EZ Flash upgrades or some other application? I tried out the latest "kernel 1.90 openbeta 11" but it didn't make a difference. It's as if the touch screen is held down permanently as you pointed out.

StevenH
Posts: 133
Joined: Sun Feb 22, 2009 7:59 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by StevenH » Sun Jun 28, 2009 2:36 am

Quirky - I don't use the Ez Flash menu system as I find it clunky and horribly slow for testing any apps I write. What I did is to download the latest verson of the homebrew menu from the SVN repository on SourceForge and then manually patch it with the dldi drivers from the Ez Flash Vi 1.9 open beta 11. Rename that file (homebrewmenu.nds) to ez5sys.bin and put it in the root of your testing SD card. It's quick and does not fill your card with save files for your homebrew apps.

The reason for useing that launcher instead of the one provided in that EzFlash 1.9 package is that it is the only way to ensure that any apps / games you write that uses libfilesystem will work correctly.

Quirky
Posts: 19
Joined: Thu Nov 15, 2007 8:45 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by Quirky » Sun Jun 28, 2009 2:37 pm

Ah, I didn't know that there was a homebrew menu in the actual devkitpro repository. Sadly it doesn't seem to have made any difference. I've tried it on a DSi and phat DS with the EZ Vi, but no luck. The keys show up as 00002000 in the touch test.

For the record, I've done the following (just in case there's a misunderstanding somewhere):

Code: Select all

svn co http://devkitpro.svn.sourceforge.net/viewvc/devkitpro/trunk/projects/nds/HomebrewMenu/
make
$DEVKITARM/bin/dlditool /path/to/ez5190ob11/Ez5s.dldi HomebrewMenu.nds
cp HomebrewMenu.nds /media/NINTDS/ez5sys.bin
I built it with the latest devkitPro stuff - maybe I should have built it using the libnds 1.3.4 code?

StevenH
Posts: 133
Joined: Sun Feb 22, 2009 7:59 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by StevenH » Sun Jun 28, 2009 3:36 pm

That's what I did (cept I'm on windows and don't have SVN installed on here), and I used the latest libnds (1.3.6)

What's the firmware of your EzFlash Vi card? as I used the firmware flasher to get the card upto version 5 (download it from the software page on ezflash.cn).

If you want I can upload my homebrew menu somewhere for you (pre patched for sd cards).

Quirky
Posts: 19
Joined: Thu Nov 15, 2007 8:45 pm

Re: libnds 1.3.6 and default arm7 0.5.5

Post by Quirky » Sun Jun 28, 2009 3:50 pm

I used the firmware updater and it said that the latest version 5 was already installed. We could try the download thing if you don't mind, but I don't hold out much hope. If it does work I am stumped as to what the difference would be.

Post Reply

Who is online

Users browsing this forum: Baidu [Spider] and 1 guest